Index: src/main/java/edu/gjoko/schedlr/services/BusinessService.java
===================================================================
--- src/main/java/edu/gjoko/schedlr/services/BusinessService.java	(revision 77205be723c8b2ffd1ee5618a05e1d12b1cee44a)
+++ src/main/java/edu/gjoko/schedlr/services/BusinessService.java	(revision e8999eba0785f481065f4b72ccfe4cbd61c6fe20)
@@ -1,10 +1,11 @@
 package edu.gjoko.schedlr.services;
 
-import edu.gjoko.schedlr.entity.*;
-import edu.gjoko.schedlr.repositories.*;
+import edu.gjoko.schedlr.entity.Business;
+import edu.gjoko.schedlr.entity.Stakeholder;
+import edu.gjoko.schedlr.entity.StakeholderType;
+import edu.gjoko.schedlr.repositories.BusinessRepository;
 import lombok.AllArgsConstructor;
 import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
 import org.springframework.stereotype.Service;
-import org.springframework.util.CollectionUtils;
 
 import java.util.List;
@@ -18,13 +19,10 @@
 
     private final BusinessRepository businessRepository;
-    private final ServiceTypeRepository serviceTypeRepository;
-    private final ServiceRepository serviceRepository;
+    private final ServicesService servicesService;
     private final StakeholderService stakeholderService;
-
-    private final StakeholderRepository stakeholderRepository;
     private BCryptPasswordEncoder bCryptPasswordEncoder;
 
     public void saveBusiness(Business business) {
-        saveNewServiceTypes(business);
+        servicesService.saveNewServiceTypes(business);
         business.getOwner().setStakeholderType(StakeholderType.BUSINESS_OWNER);
         business.getOwner().setPassword(bCryptPasswordEncoder.encode(business.getOwner().getPassword()));
@@ -33,27 +31,23 @@
     }
 
-    public void saveNewServiceTypes(Business business) {
-        business.getServices()
-                .stream()
-                .forEach(service -> {
-                    if (service.getServiceType().getId() == null) {
-                        ServiceType serviceType = service.getServiceType();
-                        serviceType.setBusinessType(business.getBusinessType());
-                        service.setServiceType(serviceTypeRepository.save(serviceType));
-                    }
-                });
-    }
-
     public List<Business> findAll() {
         return businessRepository.findAll();
     }
 
-    public void updateBusinesses(List<Business> businessList) {
+    public void updateBusinesses(List<Business> businessList, Long businessOwnerId) {
         businessList
                 .stream()
                 .forEach(business -> {
-                    stakeholderService.saveOrUpdateStakeholder(business.getOwner());
-                    saveOrUpdateServices(business.getServices());
-                    saveOrUpdateBusiness(business);
+                    stakeholderService.saveOrUpdateStakeholder(business.getOwner(), businessOwnerId);
+                });
+    }
+
+    public void updateBusinessStatuses(List<Business> businessList) {
+        businessList
+                .stream()
+                .forEach(business -> {
+                    Business business1 = businessRepository.findById(business.getId()).get();
+                    business1.setBusinessStatus(business.getBusinessStatus());
+                    businessRepository.save(business1);
                 });
     }
@@ -68,25 +62,3 @@
         return businessRepository.findBusinessesByBusinessStatusAndBusinessType_Id(ACTIVE, businessTypeId);
     }
-
-
-
-    private void saveOrUpdateBusiness(Business business) {
-        if (business.getId() != null) {
-            var foundBusinessEntity = businessRepository.findById(business.getId());
-            business.setCreated(foundBusinessEntity.get().getCreated());
-        }
-        businessRepository.save(business);
-    }
-
-    private void saveOrUpdateServices(List<edu.gjoko.schedlr.entity.Service> serviceList) {
-        if (!CollectionUtils.isEmpty(serviceList)) {
-            serviceList.forEach( service -> {
-                if (service.getId() != null) {
-                    var found = serviceRepository.findById(service.getId());
-                    service.setCreated(found.get().getCreated());
-                }
-            });
-            serviceRepository.saveAll(serviceList);
-        }
-    }
 }
